uniform sampler2D ColorTexture;
uniform sampler2D ColorTexture2;

void shader(){
	// Get coordinate
	vec2 uv=(b3d_ClipPosition.st/b3d_ClipPosition.w)*0.5+0.5;

	// Read pixel
	vec4 color1=texture2D(ColorTexture,uv).rgba;
	// vec4 color2=texture2D(ColorTexture2,vec2(color1.r)).rgba; // if use red as palette index if 2nd texture is palette
	vec4 color2=texture2D(ColorTexture2,uv).rgba;
	vec4 color = mix(color1, color2, 0.5); // mix both textures 50%
	vec3 finalColor = mix( color1.rgb, color2.rgb, color2.a);

	// Write pixel
	// b3d_FragColor = vec4( finalColor.rgb, color1.a );
	b3d_FragColor= color;
}